﻿using System.Collections.Generic;
using Template.Business.DomainObjects;
using Template.Data.Entities;

namespace Template.Business.ComponentInterfaces
{
    public interface IReferenceDataComponent
    {
        /// <summary>
        /// Gets the available languages.
        /// </summary>
        /// <returns></returns>
        IList<Language> GetAvailableLanguages();

        /// <summary>
        /// Gets the language by localeID.
        /// </summary>
        /// <param name="localeId">The localeId.</param>
        /// <returns></returns>
        Language GetLanguageByLocaleID(int localeId);

    }
}