﻿namespace Template.Business.ComponentInterfaces
{
    /// <summary>
    /// The component tht will hold the session variables
    /// </summary>
    public interface ISessionComponent
    {
        /// <summary>
        /// Gets or sets the user(name).
        /// </summary>
        /// <value>The user.</value>
        string User { get; set; }

        /// <summary>
        /// Gets or sets a value indicating whether [logged in].
        /// </summary>
        /// <value><c>true</c> if [logged in]; otherwise, <c>false</c>.</value>
        bool IsLoggedIn { get; set; }
    }
}