﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Template.Business.ComponentInterfaces;
using Template.Business.DomainObjects;
using Template.Business.Enumerations;
using Template.Business.Helpers;
using Template.Business.ViewInterfaces;

namespace Template.Business.Presenters
{
    public class TestControl1Presenter : BasePresenter<ITestControl1>
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="TestControl1Presenter"/> class.
        /// </summary>
        /// <param name="view">The view.</param>
        public TestControl1Presenter(ITestControl1 view)
            : base(view)
        {
        }

        /// <summary>
        /// Subscribes the view to events.
        /// This method has to be inmplemented in every presenter class
        /// </summary>
        protected override void SubscribeViewToEvents()
        {
        }

        /// <summary>
        /// Called when the view is loaded.
        /// </summary>
        /// <param name="sender">The sender.</param>
        /// <param name="e">The <see cref="System.EventArgs"/> instance containing the event data.</param>
        protected override void OnViewLoad(object sender, EventArgs e)
        {
            if (!IsPostBack)
                LoadViewFromModel();
        }

        /// <summary>
        /// Method that should be called to bind the model to the view
        /// </summary>
        protected override void LoadViewFromModel()
        {
            int selectedLocaleId = GetQueryParameterAsInt(QueryStringParameter.Language);
            if (selectedLocaleId==0) 
                selectedLocaleId = 1033; //if no language is supplied, get English as default
            Language selectedLanguage = ReferenceDataComponent.GetLanguageByLocaleID(selectedLocaleId);
            View.Language = selectedLanguage;
        }
    }
}
