﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Template.Business.ComponentInterfaces;
using Template.Business.Helpers;
using Template.Business.ViewInterfaces;

namespace Template.Business.Presenters
{
    public class TestControl2Presenter : BasePresenter<ITestControl2>
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="TestControl2Presenter"/> class.
        /// </summary>
        /// <param name="view">The view.</param>
        public TestControl2Presenter(ITestControl2 view)
            : base(view)
        {
        }

        /// <summary>
        /// Subscribes the view to events.
        /// This method has to be inmplemented in every presenter class
        /// </summary>
        protected override void SubscribeViewToEvents()
        {
            
        }

        /// <summary>
        /// Called when the view is loaded.
        /// </summary>
        /// <param name="sender">The sender.</param>
        /// <param name="e">The <see cref="System.EventArgs"/> instance containing the event data.</param>
        protected override void OnViewLoad(object sender, EventArgs e)
        {
            if (!IsPostBack)
                LoadViewFromModel();
        }

        /// <summary>
        /// Method that should be called to bind the model to the view
        /// </summary>
        protected override void LoadViewFromModel()
        {
            View.UserName = SessionComponent.User;
        }
    }
}
