﻿using System;
using System.Collections.Specialized;
using Template.Business.ComponentInterfaces;
using Template.Business.Enumerations;

namespace Template.Business.ViewInterfaces
{
    /// <summary>
    /// the base view for all controls in the webapp
    /// </summary>
    public interface IView
    {
        /// <summary>
        /// corresponds to the OnLoad asp.net event
        /// </summary>
        event EventHandler Load;

        /// <summary>
        /// corresponds tot he IsPostBack asp.net page property
        /// </summary>
        bool IsPostBack { get; }

        /// <summary>
        /// Gets the querystring parameters.
        /// </summary>
        /// <value>The querystring parameters.</value>
        NameValueCollection QueryString { get; }
    }
}