﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using Template.Business.Enumerations;
using Template.Web.Code;

namespace Template.Test.WebTests
{
    [TestClass]
    public class WebTests
    {
        [TestMethod]
        public void All_pageidentifiers_should_be_mapped_to_physical_exisitng_files()
        {
            NavigationComponent navi = new NavigationComponent();
            foreach (PageIdentifier pageId in Enum.GetValues(typeof(PageIdentifier)))
            {
                string url = navi.GetUrl(pageId);
                url = url.Replace("~/", @"..\..\..\Template.Web\");
                Assert.IsTrue(File.Exists(url),pageId + " is mapped  to an non- existing file : " + url);
            }
        }

        [TestMethod]
        public void All_controlidentifiers_should_be_mapped_to_physical_exisitng_files()
        {
            NavigationComponent navi = new NavigationComponent();
            foreach (ControlIdentifier controlID in Enum.GetValues(typeof(ControlIdentifier)))
            {
                string url = navi.GetUrl(controlID);
                url = url.Replace("~/", @"..\..\..\Template.Web\");
                Assert.IsTrue(File.Exists(url), controlID + " is mapped  to an non- existing file : " + url);
            }
        }

    }
}
