﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Template.Business.DomainObjects;
using Template.Business.Enumerations;
using Template.Business.Helpers;
using Template.Business.Presenters;
using Template.Web.Code;
using Template.Business.ViewInterfaces;

namespace Template.Web
{
    public partial class TestControl1 : BaseUserControl, ITestControl1
    {
        /// <summary>
        /// Inits the presenter.
        /// </summary>
        protected override IPresenter CreatePresenter()
        {
            return new TestControl1Presenter(this);
        }

        /// <summary>
        /// Creates the event handlers for the page generated events
        /// Handlers should be of type : ButtonTest.Click += (s, e) => TestButtonClick(null,null);
        /// where TestButtonClick is an event defined on the view,  and ButtonTest is a Button control on the page
        /// </summary>
        protected override void CreateEventhandlers()
        {
            //no event handler for this oversimplified control
        }

        /// <summary>
        /// Sets the language.
        /// </summary>
        /// <value>The language.</value>
        public Language Language
        {
            set { LabelLanguage.Text = value.Name; }
        }

        /// <summary>
        /// The Identifier of the Control
        /// </summary>
        /// <value></value>
        public override ControlIdentifier ControlIdentifier
        {
            get { return ControlIdentifier.TestControl1; }
        }


    }
}