﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Template.Business.Enumerations;
using Template.Business.Helpers;
using Template.Business.Presenters;
using Template.Business.ViewInterfaces;
using Template.Web.Code;

namespace Template.Web
{
    public partial class TestControl2 : BaseUserControl,ITestControl2
    {
        public string UserName
        {
            set { LabelName.Text = value; }
        }


        /// <summary>
        /// Creates the presenter.
        /// </summary>
        /// <returns></returns>
        protected override IPresenter CreatePresenter()
        {
            return new TestControl2Presenter(this);
        }

        /// <summary>
        /// Creates the event handlers for the page generated events
        /// Handlers should be of type : ButtonTest.Click += (s, e) => TestButtonClick(null,null);
        /// where TestButtonClick is an event defined on the view,  and ButtonTest is a Button control on the page
        /// </summary>
        protected override void CreateEventhandlers()
        {
            //no eventhandlers for this oversimplified control
        }

        public override ControlIdentifier ControlIdentifier
        {
            get { return ControlIdentifier.TestControl2; }
        }
    }
}