﻿using System;
using System.Collections.Generic;
using System.Diagnostics;
using Template.Business.DomainObjects;
using Template.Business.Enumerations;
using Template.Business.Helpers;
using Template.Business.Presenters;
using Template.Web.Code;
using Template.Business.ViewInterfaces;

namespace Template.Web
{
    public partial class TestPage1 : BasePage, ITestPage1 
    {
        protected override IPresenter CreatePresenter()
        {
            return new TestPage1Presenter(this);
        }

        protected override void CreateEventhandlers()
        {
            ButtonContinue.Click += (s, e) => ContinueClicked(s, e);
        }

        public override PageIdentifier PageIdentifier
        {
            get { return PageIdentifier.TestPage1; }
        }

        public ICollection<Language> Languages
        {
            set
            {
                DropDownListLanguages.DataSource = value;
                DropDownListLanguages.DataValueField = "LocaleId";
                DropDownListLanguages.DataTextField = "Name";
                DropDownListLanguages.DataBind();
            }
        }

        public string UserName
        {
            get { return TextBoxName.Text; }
        }

        public int SelectedLanguageId
        {
            get { return int.Parse(DropDownListLanguages.SelectedValue); }
        }

        public event EventHandler ContinueClicked;

    }
}