﻿using System;
using Template.Business.DomainObjects;
using Template.Business.Enumerations;
using Template.Business.Helpers;
using Template.Business.Presenters;
using Template.Business.ViewInterfaces;
using Template.Web.Code;

namespace Template.Web
{
    public partial class TestPage2 : BasePage,ITestPage2
    {
        protected override IPresenter CreatePresenter()
        {
            return new TestPage2Presenter(this);
        }

        protected override void CreateEventhandlers()
        {
            ButtonBack.Click += (s, e) => BackButtonClicked(s, e);
            ButtonToggleUser.Click += (s, e) => ToggleUserButtonClicked(s, e);
            ButtonToggleLanguage.Click += (s, e) => ToggleLanguageButtonClicked(s, e);
        }

        public override PageIdentifier PageIdentifier
        {
            get { return PageIdentifier.TestPage2; }
        }

        public event EventHandler BackButtonClicked;
        public event EventHandler ToggleUserButtonClicked;
        public event EventHandler ToggleLanguageButtonClicked;

        public bool UserVisible
        {
            get
            {
                return GetPageParamAsBool("uservisible");
            }
            set
            {
                SetPageParam("uservisible",value);
                if (value)
                    PlaceHolderTestControl2.Controls.Add(LoadUserControl(ControlIdentifier.TestControl2));
                else
                    PlaceHolderTestControl2.Controls.Clear();
            }
        }

        public bool LanguageVisible
        {
            get
            {
                return GetPageParamAsBool("languagevisible");
            }
            set
            {
                SetPageParam("languagevisible", value);
                if (value)
                    PlaceHolderTestControl1.Controls.Add(LoadUserControl(ControlIdentifier.TestControl1));
                else
                    PlaceHolderTestControl1.Controls.Clear();
            }
        }

    }
}