﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Template.Business;
using Template.Business.DomainObjects;
using Template.Business.Enumerations;
using Template.Business.Presenters;
using Template.Business.ViewInterfaces;
using Template.Web.Code;

namespace Template.Web
{
    public partial class TestTimPage : BasePage, ITestPageTim
    {
        protected void Page_Load(object sender, EventArgs e)
        {
        }

        protected override IPresenter CreatePresenter()
        {
            return new TestPageTim(this);
        }

        protected override void CreateEventhandlers()
        {
            Button1.Click += (s, e) => ButtonFillClicked(s, e);
        }

        public override PageIdentifier PageIdentifier
        {
            get { return PageIdentifier.TestPageTim; }
        }

        public event EventHandler ButtonFillClicked;
        public IList<Language> Languages
        {
            set
            {
                DropDownList1.DataSource = value;
                DropDownList1.DataBind();
            }
        }

        public string LabelText
        {
            set { 
                Label1.Text = value;
                UpdatePanel2.Update();
            }
        }


        private IMyDataAccessLayerClass _MyDataAccessLayerClass;
        private IMyDataAccessLayerClass MyDataAccessLayerClass
        {
            get
            {
                if (_MyDataAccessLayerClass == null)
                    _MyDataAccessLayerClass = ServiceLocator.Instance().Resolve<IMyDataAccessLayerClass>();
                return _MyDataAccessLayerClass;
            }
        }
	
    }
}
